// File: VarArgsArrayExample.java
//
// Demonstrate Varargs using a 2D array

public class VarArgsArrayExample {

    int sumArrays(int[]... intArrays) {
        int sum = 0;

        for(int i = 0; i < intArrays.length; i++) {
            for(int j = 0; j < intArrays[i].length; j++) {
                sum += intArrays[i][j];
            }
        }
        return sum;
    }

    public static void main(String[] args) {

        VarArgsArrayExample va = new VarArgsArrayExample();

        int sum = va.sumArrays(new int[]{1, 2, 3},
                               new int[]{4, 5, 6},
                               new int[]{100, 200});
        System.out.println("\nThe sum of the ints is: " + sum + "\n");
    }

}

/* ========== Output ==========

The sum of the ints is: 321

=============================== */
